Subject: RE: [Sip] Doubts about Handling of RR in GRUU

From: "George Foti (QA/EMC)" <[email-masked]>
Date: Tue, 22 Nov 2005 12:50:30 -0600

Thanks Paul, 
The desired result to avoid spiralling is that UE2 should have the following route set to be derived from the incoming request: EP2, HP2, HP1.
UE1 should have the following route set derived from the response: EP1, HP1, HP2.

I made a mistake in the drawing, HP1 & EP1 should be reversed, so it should like to that.

UE1--- EP1------HP1..........................HP2------EP2---------UE2

Rgds/gf 

-----Original Message-----
From: Paul Kyzivat [mailto:[email-masked]] 
Sent: November 22, 2005 12:49 PM
To: George Foti (QA/EMC)
Cc: [email-masked]'; [email-masked]'
Subject: Re: [Sip] Doubts about Handling of RR in GRUU

George,

I just recently noticed this as well. I don't think you are 
misinterpretting the draft, I think the draft is in error.

The problem is that on the terminating side, to get the intended result, 
EP2 needs to leave itself out of the R-R in the request, but add itself 
in to the R-R in the response. For that to work when there are more 
complex topologies beyond it, when it forwards the request it needs to 
remember where the top of the R-R stack is, so that it will know *where* 
in the R-R to place itself when the response arrives.

	Paul

George Foti (QA/EMC) wrote:
> Hi,
> 
>  
> 
> I have a question on the GRUU draft when it comes to Record Routing.
> 
> I am not sure if the desired result, as depicted in the draft can be 
> achieved with the current description.
> 
> The draft talks about the edge proxy removing itself from the RR of 
> responses both at the originating domain and terminating domain with the 
> desired result being as quoted from the spec:
> 
>  
> 
> "
> 
> Removing its Record-Route value from the response will result in the
> 
>    route set being seen differently by the caller and callee; the callee
> 
>    (which is the user agent in the figure) will have a route set entry
> 
>    for its edge proxy, while the caller will not.  The caller will have
> 
>    a route set entry for its edge proxy, while the callee will not."
> 
>  
> 
> Lets take an example to see where the problem is as far as the
> 
> description in the draft is concerned So lets take the following case:
> 
>  
> 
>  UE1--- HP1------EP1..........................HP2------EP2---------UE2
> 
>  
> 
>  Both UE1, and UE2 acquired GRUUs, and both EP1 & EP2 are in the path
> 
>  for their subsequent UEs when they REGISTER.
> 
>  
> 
> If UE1 initiates an INVITE and all proxies insert themselves in
> 
> the RR, so we have the RR arriving at UE2 having EP2, HP1, EP1, HP1.
> 
>  
> 
> Then according to the draft both EP2, and EP1 should remove themselves
> 
> from the response to the INVITE.
> 
> So, if UE2 returns a 200 OK with the RR, EP2 removes itself, and EP1 
> removes itself as well.
> 
> So UE1 sees a RR including HP1,HP2, and that the route set it has
> 
> While UE2 have a route set entry that includes all 4 proxies, EP2, HP1, 
> EP1, HP1.
> 
>  
> 
> Am I misinterpreting the spec?
> 
>  
> 
> Rgds/gf
> 
> Ericsson Canada
> 
>  
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip